{ lib, pkgs, ... }:
{

  jovian = {
    decky-loader = {
      enable = true;
      user = "willifan";
      extraPackages = with pkgs; [
        # Generic packages
        curl
        unzip
        util-linux
        gnugrep

        readline.out
        procps
        pciutils
        libpulseaudio

        # SimpleDeckyTDP
        ryzenadj # actual TDP util
        kmod # modprobe for acpi_call check
      ];
      extraPythonPackages = pythonPackages: with pythonPackages; [
        pyyaml # hhd-decky
        aiohttp
        certifi
      ];
    };
    devices.steamdeck = {
      enable = true;
      autoUpdate = true;
      enableGyroDsuService = true;
    };
    hardware.has.amd.gpu = true;
    steam = {
      enable = true;
      user = "willifan";
      autoStart = true;
      desktopSession = "niri";
      updater.splash = "jovian";
    };
  };

  services.logind = {
    extraConfig = lib.mkForce "";
    powerKey = "suspend";
    powerKeyLongPress = "poweroff";
  };

  environment.systemPackages = with pkgs; [
    python3
  ];

}
